Bug 1417115 - hammer host collection package/erratum subcommands are broken
Summary: hammer host collection package/erratum subcommands are broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Collections
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Jonathon Turel
URL:
Whiteboard:
Depends On: 1372372
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 09:32 UTC by pm-sat@redhat.com
Modified: 2020-06-11 13:15 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1372372
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15978 0 None None None 2017-01-27 09:32:54 UTC

Comment 2 Jonathon Turel 2017-08-23 17:14:16 UTC
Verified against Sat 6.3 Snap 12 => satellite-6.3.0-16.0.beta.el7sat.noarch

hammer (0.10.2)
 * hammer_cli_csv (unknown version)
 * hammer_cli_foreman (0.10.2)
 * hammer_cli_foreman_admin (0.0.6)
 * hammer_cli_foreman_bootdisk (0.1.3)
 * hammer_cli_foreman_discovery (1.0.0)
 * hammer_cli_foreman_docker (unknown version)
 * hammer_cli_foreman_openscap (unknown version)
 * hammer_cli_foreman_remote_execution (unknown version)
 * hammer_cli_foreman_tasks (unknown version)
 * hammer_cli_foreman_virt_who_configure (unknown version)
 * hammer_cli_import (0.11.3)
 * hammer_cli_katello (0.10.0)

Used a selection of commands such as:

hammer host-collection erratum install --errata='RHSA-2017:2473' --organization-id=1 --id=1
Successfully scheduled installation of errata


vagrant@sat63-qa-rhel7 ~]$ hammer host-collection package remove --packages=git --organization-id=1 --id=1
Successfully scheduled removal of package(s)

hammer host-collection package-group update --package-groups=@gnome --organization-id=1 --id=1
Successfully scheduled update of package-groups(s)

Verified scheduled tasks appeared in the web ui.

Comment 3 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.